# Class: TokenApi

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/lexical_linter.coffee

## Variables Summary

i =

      0

## Instance Method Summary

- # (void) peek(n = 1) Return the token n places away from the current token.

## Constructor Details

# (void) constructor(CoffeeScript, source, config, tokensByLine)

## Instance Method Details

# (void) peek(n = 1)

Return the token n places away from the current token.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input